<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [tprintf](./bitburner.ns.tprintf.md)

## NS.tprintf() method

Prints a raw value or a variable to the Terminal.

<b>Signature:</b>

```typescript
tprintf(format: string, ...values: any[]): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  format | string | format of the message |
|  values | any\[\] |  |

<b>Returns:</b>

void

## Remarks

RAM cost: 0 GB

